Bug 862 - rpcclient netshareenum broken
rpcclient netshareenum broken
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Client Tools
3.0.0
All Linux
: P3 normal
: none
Assigned To: Tim Potter
http://www.nntsoft.com/rpcclient.txt
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-06 09:49 UTC by nnt
Modified: 2005-11-14 09:25 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description nnt 2003-12-06 09:49:38 UTC
I ran

rpcclient -c "netshareenum" -U "" -W "" -N -d 100 dumdum

and monitored it with ethereal. I found that it did successfully open
\pipe\srvsvc  but as you can see in the log at http://nntsoft.com/rpcclient.txt,
rpcclient barks with

bind_rpc_pipe: pipe_name \PIPE\lsass != expected pipe \PIPE\srvsvc.  oh well!
rpc_pipe_bind: check_bind_response failed.
cli_nt_session_open: rpc bind to \PIPE\srvsvc failed

I also noticed (in ethereal) that there were two requests to close fnum 4001.
The first one, of course, was success. The second got back with a
STATUS_INVALID_HANDLE.

The system is gentoo 1.4, kernel 2.4.23, samba 3.0. This is reproducible on
another Fedora Core 1 with samba 3.0 too.
Comment 1 Gerald (Jerry) Carter 2003-12-07 23:06:18 UTC
The pip bind failure should be fixed in 3.0.1rc1
Comment 2 Gerald (Jerry) Carter 2005-08-24 10:16:25 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 3 Gerald (Jerry) Carter 2005-11-14 09:25:24 UTC
database cleanup